*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "poppins", sans-serif;
}
body {
    min-height: 100vh;
    display: flex;
    background: url('./gisito.gif') no-repeat center fixed;
    background-size: cover;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: relative;
}

body::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: inherit;
    filter: blur(5px);
    opacity: 1; /* Ajusta el valor para más o menos opacidad */
    z-index: -1;
    background: rgba(0, 0, 0, 0.4); 
}


body::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: inherit;
    filter: blur(5px);
    opacity: 1; /* Ajusta el valor para más o menos opacidad */
    z-index: -1;
    background: rgba(0, 0, 0, 0.4); 
}

.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 100px;
    background: transparent;
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 100;
}

.logoPS{
    font-size: 32px;
    color: white;
    font-family: 'Barcade', sans-serif;
    text-decoration: none;
    opacity: 0; 
    animation: fadeIn 0.5s ease forwards infinite; 
    animation-fill-mode: both;
}
@media (max-width: 1400px) {
    
    .logoPS:nth-child(1) { display: none;}

    .logoPS:nth-child(8) { display: none;}

}
@media (max-width: 900px) {
    
        .logoPS:nth-child(1) { display: none;}
        .logoPS:nth-child(2) { display: none;}
        .logoPS:nth-child(7) { display: none;}
        .logoPS:nth-child(8) { display: none;}
    
}
@media (max-width: 600px) {
    .logoPS {
        display: none;
    }
}



@keyframes fadeIn {
    0%, 100% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
}

.logoPS:nth-child(1) { animation-delay: 0.5s; animation-duration: 2s;}
.logoPS:nth-child(2) { animation-delay: 1s; animation-duration: 2s;}
.logoPS:nth-child(3) { animation-delay: 1.5s; animation-duration: 2s;}
.logoPS:nth-child(4) { animation-delay: 2s; animation-duration: 2s;}
.logoPS:nth-child(5) { animation-delay: 2s; animation-duration: 2s}
.logoPS:nth-child(6) { animation-delay: 1.5s; animation-duration: 2s}
.logoPS:nth-child(7) { animation-delay: 1s; animation-duration: 2s;}
.logoPS:nth-child(8) { animation-delay: 0.5s; animation-duration: 2s;}

.navbar {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px; /* Espacio entre el logo y el navbar */
}

.navbar a{
    position: relative;
    color: white;
    text-decoration: none;
    font-size: 18px;
    font-weight: 500;
    font-family: 'Barcade No Bar Bold', sans-serif;
    margin-left: 10%;

}
.navbar a::before {
    content: '';
    position: absolute;
    top: 100%;
    left: 0;
    width: 0;
    height: 2px;
    background: white;
    transition: .3s;
}
.navbar a:hover::before{
    width: 100%;
}


spline-viewer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1; /* Mantiene el viewer detrás de todo el contenido */
}


.login{
    height: 100%;
    width: 100%;
    min-height: 100vh;
    background: transparent;
    position: relative;
    display: flex;
    grid-template-columns: repeat(2. 1fr);
    grid-template-areas: "inicio-text inicio-img";
    align-items: center;
    gap: 2rem;
    justify-content: center;
    z-index: 10; /* Asegura que el contenido esté sobre el fondo */
}

.form-box{
    position: relative;
    width: 400px;
    height: 400px;
    background: transparent;
    border: 2px solid rgba(255,255,255,0.5);
    border-radius: 20px;
    backdrop-filter: blur(15px);
    display: flex;
    justify-content: center;
    align-items: center;
}
h2{
    font-size: 2em;
    color: #fff;
    text-align: center;
}
.inputbox{
    background: transparent;
    position: relative;
    margin: 30px 0;
    width: 310px;
    border-bottom: 2px solid #fff;
}
.inputbox label{
    position: absolute;
    top: 50%;
    left: 5px;
    transform: translateY(-50%); /* esta  cosa es lo que hace que siba */
    color: #fff;
    font-size: 1em;
    pointer-events: none;
    transition: .5s;
}
.loginf{
    background: transparent;
}

/* input:empty ~ label, */

/* input:focus ~ label,
input:valid ~ {
top: -5px;
}
 */

 /* Cuando el input no está enfocado y no tiene contenidos */
input:placeholder-shown ~ label {
    top: 0px; /* Reemplaza 'original_position' con la posición original del label */
}

/* Cuando el input está enfocado o tiene contenido */
input:not(:placeholder-shown) ~ label,
input:focus ~ label {
    top: -5px;
}

.inputbox input {
    width: 100%;
    height: 50px;
    background: transparent;
    border: none;
    outline: none;
    font-size: 1em;
    padding:0 35px 0 5px;
    color: #fff;
}
.inputbox ion-icon{
    position: absolute;
    right: 8px;
    color: #fff;
    font-size: 1.2em;
    top: 20px;
}
.forget{
    margin: -15px 0 15px ;
    font-size: .9em;
    color: #fff;
    display: flex;
    justify-content: space-between;
}

.forget label input{
    margin-right: 3px;

}
.forget label a{
    color: #fff;
    text-decoration: none;
}
.forget label a:hover{
    text-decoration: underline;
}
button{
    width: 100%;
    height: 40px;
    border-radius: 40px;
    background: #fff;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: 1em;
    font-weight: 600;
}
.register{
    font-size: .9em;
    color: #fff;
    text-align: center;
    margin: 25px 0 10px;
}
.register p a{
    text-decoration: none;
    color: #fff;
    font-weight: 600;
}
.register p a:hover{
    text-decoration: underline;
}


